# $Revision: 1.32 $, $Date: 2006/04/05 14:06:02 $
Summary:	pixieplus - image viewer for KDE
Summary(pl):	pixieplus - przegldarka obrazkw dla KDE
Name:		pixieplus
Version:	0.5.4.1
Release:	7
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://people.fruitsalad.org/avleeuwen/distfiles/pixieplus/%{name}-%{version}.tar.bz2
# Source0-md5:	5a7b98acef2af9cdf6a0b546cada562a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-bool.patch
Patch2:		%{name}-gcc34.patch
Patch3:		%{name}-no_internal_gif_compression.patch
URL:		http://people.fruitsalad.org/avleeuwen/distfiles/pixieplus/
BuildRequires:	ImageMagick-c++-devel >= 6.0.0
BuildRequires:	automake
BuildRequires:	giflib-devel
BuildRequires:	kdelibs-devel >= 3.1
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	qt-devel >= 3.1
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	ImageMagick-c++ >= 6.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pixie is designed to allow you to efficently browse, manage, and view
large numbers of images as well as do basic editing such as adjust
contrast/brightness, scale, and apply effects. For Windows users, you
can think of it as a combination of ACDSee(TM) and Paint Shop Pro(TM).

%description -l pl
Pixie jest narzdziem sucym do przegldania i zarzdzania du
iloci plikw graficznych umoliwiajcym prost edycj obrazw
(poziomy jasnoci i kontrastu, skalowanie oraz efekty dodatkowe).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.* admin
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
%configure \
	--enable-final \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	appsdir=%{_desktopdir}

# no -devel, so shouldn't be needed
rm -f $RPM_BUILD_ROOT%{_libdir}/libpixie_misc.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libpixie_misc.so.*.*.*
%attr(755,root,root) %{_libdir}/pixie.so
%{_libdir}/pixie.la
%{_datadir}/apps/pixie
%dir %{_datadir}/apps/konqueror/servicemenus
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/mimelnk/image/x-miff.desktop
##{_datadir}/mimelnk/image/x-pcx.desktop
%{_datadir}/mimelnk/image/x-pict.desktop
%{_datadir}/mimelnk/image/x-tga.desktop
%{_datadir}/mimelnk/image/x-xwd.desktop
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pixieplus.spec,v $
Revision 1.32  2006/04/05 14:06:02  hawk
- release 7 (rebuild with new ImageMagick)

Revision 1.31  2005/11/28 12:36:05  ankry
- kill internal gif compression; now it is available in ImageMagick
  (pixieplus-no_internal_gif_compression.patch)
- rel. 6

Revision 1.30  2005/10/02 20:12:04  arekm
- rel 5

Revision 1.29  2004/12/11 00:48:00  ankry
- rel. 4

Revision 1.28  2004/08/21 20:10:24  ankry
- rel. 3 to rebuild

Revision 1.27  2004/08/06 20:56:09  pluto
- gcc 3.4 fixes.

Revision 1.26  2004/07/17 00:37:01  qboosh
- fixed build on amd64
- use _kdedocdir macro, dropped no longer supported locolor icons
- release 2

Revision 1.25  2004/07/16 22:36:24  hawk
- updated to 0.5.4.1
- removed pixieplus-types.patch - already in sources
- added patch to fix bool type conversion with new ImageMagick
- ImageMagick version in BR and R >= 6.0.0
- added BR: giflib-devel, libjpeg-devel, libpng-devel, libtiff-devel
- builds and works :)

Revision 1.24  2004/07/14 15:14:34  ankry
- added -desktop patch, rel. 4

Revision 1.23  2004/04/05 11:51:56  qboosh
- updated types patch to work on both 32- and 64-bit archs; release 3

Revision 1.22  2004/04/05 11:42:59  qboosh
- refresh config.sub

Revision 1.21  2004/04/05 11:18:56  qboosh
- added types patch to allow building on 64-bit archs
- switched to vfolders, release 2

Revision 1.20  2003/10/27 01:41:58  ankry
- URLs fixed

Revision 1.19  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.17  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.16  2003/05/28 13:01:17  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/28 10:08:41  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.13  2003/02/17 10:57:29  djurban
- Fixed BR and R (tx qboosh)

Revision 1.12  2003/02/16 22:35:44  djurban
- Updated to 0.5.4
- STBR to kde3 pack

Revision 1.11  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.10  2002/09/09 10:12:49  qboosh
- removed dirs that belong to kdelibs, konqueror, XFree86-libs and applnk; release 3

Revision 1.9  2002/08/31 16:13:48  blues
- release 2 - STBR

Revision 1.8  2002/08/15 20:21:57  jack
- Added BR: libltdl-devel
- Bumped release to 1.2

Revision 1.7  2002/08/15 18:59:07  blues
- patch commented out

Revision 1.6  2002/08/15 18:51:59  blues
- release 1.1 - disable auto-stuff regeneration

Revision 1.5  2002/07/28 14:52:08  maryush
- updated to 0.3 (KDE3)
- STBR Blues ;)

Revision 1.4  2002/07/28 14:21:07  blues
- not KDE2 - KDE only

Revision 1.3  2002/07/28 13:50:07  kloczek
- fixes Source0 and %setup,
- added am16 patch.

Revision 1.2  2002/07/28 13:24:57  kloczek
- adapterized.

Revision 1.1  2002/07/28 13:09:53  maryush
- new version of spec name (old pixieplus-kde2.spec)

Revision 1.2  2002/04/15 09:32:36  qboosh
- text formatting in descriptions

Revision 1.1  2002/04/14 23:13:09  maryush
- Initial PLD version
